Bug 54576 - Insufficient information about partitioning schemes
Insufficient information about partitioning schemes
Product: Red Hat Linux
Classification: Retired
Component: rhl-ig-x86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandra Moore
Depends On:
  Show dependency treegraph
Reported: 2001-10-12 14:26 EDT by Richard Gugeler
Modified: 2014-08-04 18:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-15 11:23:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Complete bug description with suggested Installation Guide revision (3.04 KB, text/plain)
2001-10-12 14:32 EDT, Richard Gugeler
no flags Details

  None (edit)
Description Richard Gugeler 2001-10-12 14:26:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
For unknown reasons, one of the most fundamental differences between 
DOS/Windows and Linux and its effect on partitioning receives almost no 
coverage in the Red Hat Linux Installation Guide (or in any other Linux 
book I've found in book stores).

I refer to how the two operating systems view file systems and how they 
install applications.  One views partitions as clearly individual entities 
and lets you install applications just about anywhere, while the other 
makes almost no distinction among partitions but installs applications in 
very specific directories.  This makes a good partition scheme 
particularly critical.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Read section 4.11.2 of the Installation Guide

Actual Results:  Provided only a limited explanation of how to partition a 

Expected Results:  More complete information.

Additional info:
Comment 1 Richard Gugeler 2001-10-12 14:32:39 EDT
Created attachment 34001 [details]
Complete bug description with suggested Installation Guide revision
Comment 2 Sandra Moore 2001-10-15 11:23:29 EDT
Because the Installation Guide is kept to a minimum page count, we have to
choose carefully what content to keep where. In the Installation Guide there is
a good deal of content related to partitioning and how to create partitions for
Linux. It seems that the information you are looking for is more releated to
file system hierarchy, which is covered in the Red Hat Linux Reference Guide.

If you have suggestions on how to improve the information in the Reference
Guide, please file another bug choosing the rhl-rg component and explain what
you would like to see. The person in charge of that manual will then get your
bug report and will be able to work with you on further improvments.

Thank you,
Comment 3 Richard Gugeler 2001-10-15 12:04:45 EDT
I believe this decision should be reconsidered for these reasons:

1.  The Reference Manual is not supplied with the Deluxe Workstation boxed set.

2.  The suggested information is related to the filesystem hierarchy *only* as 
it relates to a partioning *scheme.*  It is at the installation stage that a 
person needs to know precisely how the system works and what partitioning 
scheme is recommended/produces the best results.  The lengthy, supplied 
description of *how* to partition is almost of secondary importance.

3.  Since the information is not provided either in the Installation Guide or 
the Reference Manual, it seems reasonable that it appear in the Installation 

4.  The amount of added information is not excessive.  I would hazard a guess 
that supplying answers to new users in a logical spot would reduce time spent 
by all concerned on bug reports and technical support queries.

As a technical writer, one of the problems I have is getting too close to the 
product and making assumptions about my users' knowledge level.  If Red Hat 
prefers to keep Linux in the hands of only those who already have a significant 
level of knowledge of Unix/Linux, then the supplied documentaton is perfectly 
adequate.  If, on the other hand, Red Hat wants to expand Linux use, and its 
products, to those who are knowledgable about computers and operating systems 
other than Linux, then I suggest the installation experience should be made as 
pleasant as possible.

In general, I was very impressed by how easily Red Hat Linux installed on my 
multi-boot system.  However, I had to repartition my system several times 
before I got the correct (to my present knowledge) mix of partitions of the 
correct sizes.

Please note that, before I submitted the bug report, I downloaded and read the 
Reference and Customization manuals as well as everything I could find on the 
internet.  If the information for which I was looking is available, it is not 
readily found or accessed.

Sincerely, Richard Gugeler
Comment 4 Sandra Moore 2001-10-15 16:58:24 EDT
As for the Reference Guide, it (and all of the Red Hat Linux manuals) is
included on the Documentation CD which can be found in each boxed set, so it is
not necessary for a user to buy a different boxed set or download it from the
documentation site.

I've spoken with our support department on this and our theories lie in these
1) If a user does not know how to partition or does not understand partitioning,
they should use the automatic partitioning scheme offered during the
2) For a person who is choosing a custom installation (which is how the manual
is now written), we cannot give a set recommendation of partitioning schemes
(/usr, /home, etc) as there are so many different partitioning needs for
different users and their installation environments. A person creating a home
use system is going to need a different partitioning scheme than a person
setting up a system at work, or a person setting up a file server will need
different partitioning schemes than a person setting up a mail or Web server.

We have discussed adding more partitioning schemes in the past, but we have
always decided not to to keep the confusion level down because there are so many
type of partitions that can be created in so many different situations. 

Because of these reasons, and the support team's feedback regarding the manuals,
I believe we have the best approach by only offering a minimal set of
recommended partitions that must be created. I've installed many Linux systems
with no more than root, /boot, and swap -- and I've never had any problems with
applications or where to store files.

Note You need to log in before you can comment on or make changes to this bug.